Bug 178979 - request for "full snapshot" warnings
request for "full snapshot" warnings
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Corey Marthaler
: FutureFeature
Depends On:
Blocks: 204973 204998
  Show dependency treegraph
 
Reported: 2006-01-25 16:52 EST by Corey Marthaler
Modified: 2010-05-14 18:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0776
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:07:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preview of snapshot monitoring DSO (17.31 KB, patch)
2007-01-26 17:56 EST, Milan Broz
no flags Details | Diff
snapshot-dso.diff (20.46 KB, patch)
2007-12-10 09:19 EST, Petr Rockai
no flags Details | Diff

  None (edit)
Description Corey Marthaler 2006-01-25 16:52:02 EST
Description of problem:
As a snapshot reaches a highwater mark it would be nice for the user if there
were warnings printed out to the console that the snapshot is becoming full and
that something needs to be done before access to your data is lost. 

Additional info:
This is related to the bz 174742 issue.
Comment 4 Milan Broz 2007-01-26 17:56:41 EST
Created attachment 146727 [details]
preview of snapshot monitoring DSO

Attaching patch for lvm2 2.02.19 implementing simple snapshot monitoring DSO.
Currently we have no configuration file for dmeventd, so snapshot warning mark
and timeout interval for checks are hardcoded. This is just for preview - lvm2
code will need modifications to enable snapshot monitoring without some hacks.
Monitoring is activated by setting lvm.conf { snapshot_library=<file> }
Comment 7 RHEL Product and Program Management 2007-03-09 20:10:51 EST
This bugzilla had previously been approved for engineering
consideration but Red Hat Product Management is currently reevaluating
this issue for inclusion in RHEL4.6.
Comment 14 Petr Rockai 2007-12-10 09:19:29 EST
Created attachment 282811 [details]
snapshot-dso.diff

Forward port of the snapshot DSO patch. Lightly tested, seems to work. Needs to
be cleaned up before inclusion.
Comment 17 Corey Marthaler 2008-06-09 12:06:29 EDT
Marking this verified.
Comment 19 errata-xmlrpc 2008-07-24 16:07:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0776.html

Note You need to log in before you can comment on or make changes to this bug.